// Desktop Rox - A game by Stephen Stair (sgstair@akkit.org) for LudumDare 11 (48h game competition)
// BitmapSprite - base class / standalone representation of a bitmapped sprite somewhere on the screen

#pragma once

#include "Bitmap.h"
class Rasterizer;


#define FLAGS_SETFOCUS		1
#define FLAGS_WANTCLICKS	2

class BitmapSprite
{
public:
	BitmapSprite(void);
	~BitmapSprite(void);

	virtual void Update( Rasterizer * r );

	int alpha;
	int bx, by;
	int flags;
	Bitmap bmp;
};
